Search found 54 matches

by mrrclb48z
Fri Jul 02, 2021 10:35 am
Forum: Python scripting and macros
Topic: [Solved]Line XYZ-text Out:1-Line Output Ok! 2,3,4...,ALL -Line Output Error?
Replies: 3
Views: 1422

Re: Line XYZ-text Out:1-Line Output Ok! 2,3,4...,ALL -Line Output Error?

Cube 8 poit ========================================================== Text string: x=0.00,y=0.00,z=10.00 placement: Vector (0.0, 0.0, 10.0) ---------------- Text string: x=0.00,y=0.00,z=0.00 placement: Vector (0.0, 0.0, 0.0) ---------------- Text string: x=0.00,y=10.00,z=10.00 placement: Vector (0....
by mrrclb48z
Thu Jul 01, 2021 12:12 pm
Forum: Python scripting and macros
Topic: [Solved]Line XYZ-text Out:1-Line Output Ok! 2,3,4...,ALL -Line Output Error?
Replies: 3
Views: 1422

[Solved]Line XYZ-text Out:1-Line Output Ok! 2,3,4...,ALL -Line Output Error?

I want to 2,3,4...,ALL-Line OK # -*- coding: utf-8 -*- import FreeCAD import Part import DraftTools import Draft import Mesh def myTxt_XYZ(P5x,P5y,P5z,myWedgei): p5 = FreeCAD.Vector(float(P5x),float(P5y),float(P5z)) myText = Draft.makeText(myWedgei,p5) myText.Label = myWedgei FreeCADGui.ActiveDocume...
by mrrclb48z
Tue Jun 29, 2021 9:28 pm
Forum: Help on using FreeCAD
Topic: How to use search 「double-quotation (mark)」 in​ freecad forum
Replies: 1
Views: 437

How to use search 「double-quotation (mark)」 in​ freecad forum

①I can not use search double-quotation (mark)」 in​ freecad forum I want to use search double-quotation (mark)」 in​ freecad forum https://forum.freecadweb.org/search.php?keywords=%223d+offset%22&fid%5B0%5D=3 output 「 Search found 2984 matches: "3d offset" Searched query: 3d offset ignor...
by mrrclb48z
Tue Jun 29, 2021 12:30 pm
Forum: 日本語フォーラム
Topic: オブジェクトを複写する方法を教えて下さい。
Replies: 1
Views: 6114

オブジェクトを複写する方法を教えて下さい。

① Box,Box001と2個できるのに、 myTetrahedron_x0_0y0_0z0_0が2個できないのは、どうしてですか? マクロを2度実行すると、期待通りに、myTetrahedron_x0_0y0_0z0_0001ができます。 ② myTetrahedron(P1x,P1y,P1z,P2x,P2y,P2z,P3x,P3y,P3z,P4x,P4y,P4z) myTetrahedron(P1x+50.0,P1y,P1z,P2x+50.0,,P2y,P2z,P3x+50.0,,P3y,P3z,P4x+50.0,,P4y,P4z) 2個できませんでした。 ③ Boxをコピー(複写)する方...
by mrrclb48z
Sun Jun 06, 2021 2:25 am
Forum: 日本語フォーラム
Topic: マウス操作で、Z軸を鉛直方向に拘束する方法を教えて下さい。
Replies: 2
Views: 8187

マウス操作で、Z軸を鉛直方向に拘束する方法を教えて下さい。

マウス操作で回転した時、z軸が傾くとわからなくなります。
人間が傾いて、物体を見るとわかりにくです。
z軸を簡単に、鉛直にする方法。コマンド又はマクロを教えて下さい。
よろしくお願いします。
by mrrclb48z
Fri Jun 04, 2021 3:15 pm
Forum: 日本語フォーラム
Topic: Unnamedの使い方を教えて下さい。
Replies: 2
Views: 6393

Re: Unnamedの使い方を教えて下さい。

ありがとうございました。
①(オリジナルポスト)「【今年の1問】 2021年開成中-三角すいの体積」を参考にWolframAlphaとonline sympyとFreeCAD でやってみた。
https://qiita.com/mrrclb48z/items/159ea13c0fb80b3a8f0d

②winmergeしました。
(タイトル)Qiita上にhtm文の投稿方法を教えて下さい。
https://qiita.com/mrrclb48z/questions/3 ... 672364865a
by mrrclb48z
Thu Jun 03, 2021 11:03 am
Forum: 日本語フォーラム
Topic: Unnamedの使い方を教えて下さい。
Replies: 2
Views: 6393

Unnamedの使い方を教えて下さい。

Unnamedを変更するとうごきません。 参考になるヘルプがあれば、教えてください。 import FreeCAD import Part import DraftTools import Draft import Mesh def myTetrahedron(P1x,P1y,P1z,P2x,P2y,P2z,P3x,P3y,P3z,P4x,P4y,P4z): xDummy=0 yDummy=0 zDummy=0 a =[[xDummy,yDummy,zDummy], #dummy [P1x,P1y,P1z], [P2x,P2y,P2z], [P3x,P3y,P3z], [P4x,P4y,P4z...
by mrrclb48z
Tue May 15, 2018 1:13 pm
Forum: Python scripting and macros
Topic: how to? (Check geometry-->macro-->makeText)
Replies: 1
Views: 566

how to? (Check geometry-->macro-->makeText)

how to? (Check geometry-->macro-->makeText) Thank you in advance and sorry for the bad english! # -*- coding: utf-8 -*- #how to? (Check geometry-->macro-->makeText) import FreeCAD import Part import DraftTools import Draft def myTxtOut(P5x,P5y,P5z,myStr): p5 = FreeCAD.Vector(P5x,P5y,P5z) myText = Dr...
by mrrclb48z
Sat May 12, 2018 4:00 pm
Forum: Python scripting and macros
Topic: I want to find Line-Connection macro
Replies: 1
Views: 630

I want to find Line-Connection macro

Line P0->P1->P2...->PN Which of the 4 should be used? Please tell me the difference. Thank you in advance and sorry for the bad english! Partial Script: h=10 dx1=30*1 dx2=30*2 dx3=30*3 dx4=30*4 Connection1=[[dx1+0,0,h], #0(1) [dx1+h,0,h], #1(2) [dx1+h,h,h], #2(3) [dx1+0,h,h], #3(4) [dx1+0,0,0], #4(5...
by mrrclb48z
Thu May 10, 2018 2:20 pm
Forum: Python scripting and macros
Topic: How to? Text(A=) On FaceP1P2P3
Replies: 1
Views: 779

How to? Text(A=) On FaceP1P2P3

1.where Web? rotate mouse operation Introducing.I want to macro recording 2.How to? macro Thank you in advance and sorry for the bad english! full script : import FreeCAD import Part import DraftTools import Draft import Mesh def myPyramidCal(xIn,yIn,bIn,hIn): x = float(xIn) y = float(yIn) b = float...